import delay from 'delay';

fetch('http://127.0.0.1:11434/api/generate', {
  method: 'POST',
  headers: { 'Content-Type': 'application/json' },
  body: JSON.stringify({
    model: 'deepseek-r1:latest', // replace with your model name
    system: 'You are a helpful assistant.',
    prompt: 'Tell me a joke!',
    stream: false,
    think: false,
  }),
})
  .then((res) => res.json())
  .then((data) => data.response)
  .then(console.log)
  .catch(console.error);
